Skip to navigation

List Countries

Returns a list of all countries and, if applicable, their states. The response includes the name and code of each returned element and the id of each country.

NOTE: Due to the size of the list returned, the results should be cached for continued use, if possible.

Equivalent Storefront GraphQL API Query: countries. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Query parameters

storeHashstringRequired
The unique alphanumeric store hash for the BigCommerce store.

Response

OK
messagestringOptional
codedoubleOptionalDefaults to 200
dataobjectOptional